com.tibbo.aggregate.common.action

## Class EditTemplateActionDefinition.LogoutEventListener

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultContextEventListener
  - - com.tibbo.aggregate.common.action.EditTemplateActionDefinition.LogoutEventListener

- All Implemented Interfaces:
    ContextEventListener
  Enclosing class:
    EditTemplateActionDefinition

      public static class EditTemplateActionDefinition.LogoutEventListener
      extends DefaultContextEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogoutEventListener(Context lockContext, CallerController callerController)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallerController` | `getCallerController()`
    `void` | `handle(Event event)` Handles the event
    `boolean` | `shouldHandle(Event ev)` Should return true if event should be handled.

    - ### Methods inherited from class com.tibbo.aggregate.common.context.DefaultContextEventListener

      `getFilter, getFingerprint, getListenerCode, getLocalContextManager, handle, isAsync, setAcceptEventsWithoutListenerCode, setCallerController, setContextManager, setFilter, setFingerprint, setListenerCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogoutEventListener

          public LogoutEventListener(Context lockContext,
                                     CallerController callerController)

  - ### Method Detail

    - #### shouldHandle

          public boolean shouldHandle(Event ev)
                               throws EventHandlingException

      Description copied from interface: `ContextEventListener`
      Should return true if event should be handled.
      Specified by:
        `shouldHandle` in interface `ContextEventListener`
      Overrides:
        `shouldHandle` in class `DefaultContextEventListener`
      Throws:
        `EventHandlingException`

    - #### handle

          public void handle(Event event)
                      throws EventHandlingException

      Description copied from interface: `ContextEventListener`
      Handles the event
      Throws:
        `EventHandlingException`

    - #### getCallerController

          public CallerController getCallerController()

      Specified by:
        `getCallerController` in interface `ContextEventListener`
      Overrides:
        `getCallerController` in class `DefaultContextEventListener`